CentOS 8:nssおよびnspr(CESA-2020: 3280)

critical Nessus プラグイン ID 145878

概要

リモートのCentOSホストに1つ以上のセキュリティ更新プログラムが欠落しています。

説明

リモートのCentOS Linux 8ホストにインストールされているパッケージは、CESA-2020: 3280アドバイザリに記載されている複数の脆弱性の影響を受けます。

- nss:不適切な参照カウントによるsftk_FreeSessionでのUse-after-free (CVE-2019-11756)

- nss:暗号化プリミティブに対する入力の長さをチェックします(CVE-2019-17006)

- nss:TLS1.3のHelloRetryRequestダウングレード要求がクライアントを無効な状態に設定します(CVE-2019-17023)

- nss:RSAキー生成中のサイドチャネル脆弱性(CVE-2020-12402)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2020:3280

プラグインの詳細

深刻度: Critical

ID: 145878

ファイル名: centos8_RHSA-2020-3280.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2021/2/1

更新日: 2021/3/23

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: Critical

Base Score: 10

Temporal Score: 7.4

ベクトル: AV:N/AC:L/Au:N/C:C/I:C/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2019-17006

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:centos:centos:8, p-cpe:/a:centos:centos:nspr, p-cpe:/a:centos:centos:nspr-devel, p-cpe:/a:centos:centos:nss, p-cpe:/a:centos:centos:nss-devel, p-cpe:/a:centos:centos:nss-softokn, p-cpe:/a:centos:centos:nss-softokn-devel, p-cpe:/a:centos:centos:nss-softokn-freebl, p-cpe:/a:centos:centos:nss-softokn-freebl-devel, p-cpe:/a:centos:centos:nss-sysinit, p-cpe:/a:centos:centos:nss-tools, p-cpe:/a:centos:centos:nss-util, p-cpe:/a:centos:centos:nss-util-devel

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/8/3

脆弱性公開日: 2019/12/3

参照情報

CVE: CVE-2019-11756, CVE-2019-17006, CVE-2019-17023, CVE-2020-12402

RHSA: 2020:3280